Subject: Re: [PATCH] rtw88: 8822ce: fix wifi disconnect after S3/S4 on HONOR laptop

From: Pkshih <[email-masked]>
Date: Mon, 22 Feb 2021 11:20:42 +0000

On Mon, 2021-02-22 at 09:27 +0200, Kalle Valo wrote:
> 陈浩 <[email-masked]> writes:
> 
> > By git blame command, I know that the assignment of .driver.pm =
> > RTW_PM_OPS
> >
> > was in commit 44bc17f7f5b3b("rtw88: support wowlan feature for
> > 8822c"),
> >
> > and another commit 7dc7c41607d19("avoid unused function warnings")
> >
> > pointed out rtw_pci_resume() and rtw_pci_suspend() are not used at
> > all.
> >
> > So I think it's safe to remove them.
> >

I think ".driver.pm = &rtw_pm_ops" is a switch to enable wowlan feature.
That means that wowlan doesn't work without this declaration.

> > Currently, I find that the rtl8822ce wifi chip and the pci bridge of
> > it are not linked by pci
> >
> > after wake up by `lspci` command.
> >
> > when I set `pcie_aspm.policy=performance ` in the GRUB. The machine
> > sleep and
> >
> > wake up normal.So I think when this ops is assignmented,the sleep and
> > wake up procedure
> >
> > may cause pci device not linked.

Please try setting module parameter disable_aspm=1 with pci.ko.

Could I know what the CPU and pci bridge chipset are used by HONOR laptop?

> 
> Please don't use HTML, our lists automatically drop all HTML email.
>